Summary: An event notification library
Name: libevent
Version: 1.1a
Release: 2
Copyright: GPL
Group: System Environment/Libraries
Source0: http://monkey.org/~provos/libevent-1.1a.tar.gz
Patch1: libevent-1.1a-ppc64-misc.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
The libevent API provides a mechanism to execute a callback function when a specific event occurs on a file descriptor or after a timeout has been reached. Furthermore, libevent also support callbacks due to signals or regular timeouts.

libevent is meant to replace the event loop found in event driven network servers. An application just needs to call event_dispatch() and then add or remove events dynamically without having to change the event loop. 

%package devel
Summary: Development tools for programs which will use the libevent library.
Group: Development/Libraries
Requires: libevent = %{version}

%description devel
This package contains the header files and static libraries for
developing programs which will using the libevent library.

%prep
%setup -q 
%patch1 -p1

%build
%configure
make

%install
[ "$RPM_BUILD_DIR" ] && rm -fr $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_libdir}/libevent*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_mandir}/man3/*

%changelog
* Mon Jul 25 2005 Cheng Ding <chengding@redflag-linux.com> 1.1a-2
- fix ppc64 compile failed (Patch No 1)

* Fri Jul 22 2005 Cheng Ding <chengding@redflag-linux.com> 1.1a-1
- initial version
